Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class BrownianMotionPCAEqualSteps

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.BrownianMotion
              umontreal.iro.lecuyer.stochprocess.BrownianMotionPCAEqualSteps

    public class BrownianMotionPCAEqualSteps

extends BrownianMotion

Same as BrownianMotionPCA, but uses a trick to speed up the calculation when the time steps are equidistant.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`BrownianMotionPCAEqualSteps(double x0, double mu, double sigma, NormalGen gen)` Constructs a new `BrownianMotionPCAEqualSteps`.
`BrownianMotionPCAEqualSteps(double x0, double mu, double sigma, RandomStream stream)` Constructs a new `BrownianMotionPCAEqualSteps`.

Method Summary
`double[]` | `generatePath()` Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`.
`double[]` | `generatePath(double[] QMCpointsBM)` Same as generatePath(), but a vector of uniform random numbers must be provided to the method.
`double[]` | `getSortedEigenvalues()`
`double` | `nextObservation()` Generates and returns the next observation X(tj) of the stochastic process.
`void` | `setObservationTimes(double[] t, int d)` .
`void` | `setObservationTimes(double dt, int d)` Sets equidistant observation times at tj = jδ, for j = 0,..., d, and `delta` = δ.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.BrownianMotion
`generatePath, getGen, getMu, getSigma, getStream, nextObservation, nextObservation, setParams, setStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, resetStartProcess`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrownianMotionPCAEqualSteps

    public BrownianMotionPCAEqualSteps(double x0,
                                       double mu,
                                       double sigma,
                                       RandomStream stream)

  Constructs a new `BrownianMotionPCAEqualSteps`.

### BrownianMotionPCAEqualSteps

    public BrownianMotionPCAEqualSteps(double x0,
                                       double mu,
                                       double sigma,
                                       NormalGen gen)

  Constructs a new `BrownianMotionPCAEqualSteps`.

Method Detail

### nextObservation

    public double nextObservation()

  Description copied from class: `StochasticProcess`
  Generates and returns the next observation X(tj) of the stochastic process. The processes are usually sampled sequentially, i.e. if the last observation generated was for time tj-1, the next observation returned will be for time tj. In some cases, subclasses extending this abstract class may use non-sequential sampling algorithms (such as bridge sampling). The order of generation of the tj's is then specified by the subclass. All the processes generated using principal components analysis (PCA) do not have this method.

  Overrides:
    `nextObservation` in class `BrownianMotion`

### generatePath

    public double[] generatePath()

  Description copied from class: `StochasticProcess`
  Generates, returns, and saves the sample path {X(t0), X(t1),…, X(td)}, which can then be accessed via `getPath`, `getSubpath`, or `getObservation`. The generation method depends on the process type.

  Overrides:
    `generatePath` in class `BrownianMotion`

### generatePath

    public double[] generatePath(double[] QMCpointsBM)

  Description copied from class: `BrownianMotion`
  Same as generatePath(), but a vector of uniform random numbers must be provided to the method. These uniform random numbers are used to generate the path.

  Overrides:
    `generatePath` in class `BrownianMotion`

### setObservationTimes

    public void setObservationTimes(double[] t,
                                    int d)

  Description copied from class: `StochasticProcess`
  . Sets the observation times of the process to a copy of `t`, with t0 = and td = . The size of `t` must be d + 1.

  Overrides:
    `setObservationTimes` in class `StochasticProcess`

### setObservationTimes

    public void setObservationTimes(double dt,
                                    int d)

  Description copied from class: `StochasticProcess`
  Sets equidistant observation times at tj = jδ, for j = 0,..., d, and `delta` = δ.

  Overrides:
    `setObservationTimes` in class `StochasticProcess`

### getSortedEigenvalues

    public double[] getSortedEigenvalues()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.